<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Variables</title>
</head>

<body>

    <h1 id="titulo">Texto inicial</h1>
    <div id="container">
        <p>Texto ejemplo desde variables</p>
    </div>

    <script>

        console.log('Variables JS');
        var texto = "Texto desde JS";
        console.log(texto);
        console.log(typeof (texto));

        var numero = 7;
        console.log(numero);
        console.log(typeof (numero));

        var otronumero = 15.98;
        console.log(otronumero);
        console.log(typeof (otronumero));

        var texto_titulo = "Ejemplo de cambio texto";
        document.getElementById("titulo").innerHTML = texto_titulo;

        var textoParrafo = "texto ejemplo desde variables";

        document.getElementById("container").innerHTML = `
            <p>${textoParrafo}</p>
        `;
    </script>
</body>

</html>